Subject: Re: [TICTOC] FW: I-D Action: draft-ietf-tictoc-1588overmpls-02.txt

From: Anthony Magee <[email-masked]>
Date: Thu, 8 Dec 2011 09:29:38 +0000

Correcting the subject line so as not to cause confusion.  Sorry.

From: Anthony Magee
Sent: 08 December 2011 08:54
To: Yaakov Stein
Cc: Ron Cohen; [email-masked]; Shahram Davari; [email-masked]
Subject: Re: [TICTOC] FW: I-D Action: draft-ietf-tictoc-1588overmpls-02.txtaak

Hi Yaakov,

No I assume that only a single MAC address per Ethernet interface is used.

Only those protocols which have an associated higher layer entity on the device should be affected, and only if those protocols are addressed in such a way that causes/allows those higher layer entities to process their associated traffic.

I believe that this is how 802.1 models allow extensions and other functions to sit on alongside the baggy pants model.  This is associated with the internal sublayer service as specified in IEEE Std 802.1Q-2005 clause 8.5.1

I don't see this as affecting any other protocols. Ie the higher layer entity would be specific to 1588oEthernet traffic addressed that higher layer entity.  I assume this function sits above the actual layer 2 transport and MPLS LSP/PW parsing function since the 1588oEthernet traffic will be transported within a PW?

I also think it could be argued that this is still a transparent clock in essence given the previous offical responses to questions/clarifications relating to swapping of source MAC address from IEEE 1588 experts.

As for the layer violation associated with your response, I assume by layer 1 entity you mean the timestamp?  In which case how does NTP get around the layer violation argument?

I am just trying to make it clear that the layer violation arguments are sometimes  unclear and in my view shouldn't be treated as a reason not to realize the transparent clock function.

I agree with your concerns about security, but think this topic applies to BC and TC devices alike and would best be treated as a separate discussion from the layer violation topic.

Best regards,

Anthony

On 8 Dec 2011, at 07:14, "Yaakov Stein" <[email-masked]<mailto:[email-masked]>> wrote:
Ron and Anthony,

First, I don't see the difference between MPLS and Ethernet.
In principle, taking a layer-1 entity and putting it into an MPLS client's payload
is just as much a layer violation as putting it into an Ethernet client's payload.
There may be other reasons that this is less intrusive.
For example, since MPLS doesn't have a standardized security mechanism such as MACsec
it wouldn't be affected by a security mechanism. But then again you wouldn't have the security.

The idea of changing MAC addresses has been discussed before.
Since the intermediate switch is now terminating the Ethernet and originating a "new" message, there is no layer violation.
However this makes a middlebox into something different - mid-way between a TC and a BC.
It is also midway between a switch and a router (perhaps not an IP router, but something that routes the Ethernet's client).

I assume that you want everything else to go through without MAC swapping
(since otherwise you break layer-2 continuity, and a lot of things will malfunction, including ARP, OAM, G.803x).
So we also have the interesting situation where the switch uses two different MAC source addresses
on the same baggy-pants leg. This behavior may cause problems with quite a number of protocols.
I would have to think about it, but STP, TRILL, ELMI, LLDP, and MEF-8 come to mind.

Y(J)S

From: Ron Cohen [mailto:[email-masked]]<mailto:[mailto:[email-masked]]>
Sent: Tuesday, November 29, 2011 23:01
To: Anthony Magee
Cc: Yaakov Stein; [email-masked]<mailto:[email-masked]>; Shahram Davari; [email-masked]<mailto:[email-masked]>
Subject: Re: [TICTOC] FW: I-D Action: draft-ietf-tictoc-1588overmpls-02.txt

If the encapsulation was directly over MPLS, i.e. no Ethernet / IP layers in between MPLS and PTP, there were no layers to violate....
On Tue, Nov 29, 2011 at 8:35 PM, Anthony Magee <[email-masked]<mailto:[email-masked]>> wrote:
Hi Yaakov,

The layer violation issue is something which I believe needs further discussion.

If a higher layer entity is placed inside a device and is used to act as the Transparent Clock i.e. calculating residence time and modifying the correction field in the layer with which that higher layer entity is associated, one could use an identifier such as a label, or a  multicast Destination address in order to address that higher layer entity, allowing it to make the change without it being a layer violation.   Then on the transmit side, there is nothing specifically incorrect in a device modifying the Source Address of the packet sent from a Transparent Clock within the scope of IEEE 1588 and this would be needed in order to indicate that the device has effectively created a new packet - however, the function of the node is still that of a Transparent Clock.

So as long as the various standards are observed and the modifying devices update the packets in a standards compliant manner, I don't see that such a Transparent Clock would constitute a layer violation.

Anthony

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Yaakov Stein
Sent: 26 November 2011 20:25
To: [email-masked]<mailto:[email-masked]>; Shahram Davari
Cc: [email-masked]<mailto:[email-masked]>'
Subject: Re: [TICTOC] FW: I-D Action: draft-ietf-tictoc-1588overmpls-02.txt
Shahram and Stewart

If we need intermediate MPLS nodes to perform special processing on 1588oMPLS packets there are several methods to lower the processing requirements.
Of course, DPI could be performed to go below the MPLS and IP headers as Shahram said, but as Stewart pointed out this would be prohibitively expensive.

Two methods have been proposed.
The method of the present draft is to use the standard encapsulations (after ensuring that 1588 is supported) and to inform the intermediate nodes that the particular label value being used is special.
For this special label value the node has been informed of what to do, e.g., has the offset of a TC.
Any use of TC is necessarily a layer violation (after all, the timestamp is a layer-0 entity and we are placing it in a layer 2 or higher field), but correcting a field inside 1588 in UDP in IP in MPLS is not really that much worse than correcting on in 1588 in UDP in IP in Ethernet.

The alternative method that I proposed is to invent a completely new timestamping mechanism.
This has the advantage of being applicable to all MPLS packets (and thus can solve other problems), but requires inventing yet another timing distribution protocol.
I know that Stewart succeeded in inventing a new packet loss and delay measurement protocol for TP, but I didn't gauge support in TICTOC for something new here.

Y(J)S

-----Original Message-----
From: Stewart Bryant [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Thursday, November 24, 2011 19:30
To: Shahram Davari
Cc: [email-masked]<mailto:[email-masked]>'; [email-masked]<mailto:[email-masked]>'
Subject: Re: [TICTOC] FW: I-D Action: draft-ietf-tictoc-1588overmpls-02.txt
Shahram

I will ponder the answer to this question, but will note that you have not addressed my second question which relates to whether there is MPLS WG buy-in for this proposal.

- Stewart

On 24/11/2011 16:34, Shahram Davari wrote:
> Hi Stewart,
>
> The parsing required by the draft is not complex and almost all MPLS routers have support it already. The idea was to reuse existing data plane mechanisms and not invent a new one. This I believe is in the spirit of IETF to reuse existing mechanisms.
>
> I don't believe adding a shim makes the design simpler. You still need to detect that such shim exists and for that you need parsing that doesn't even exist today.
>
>
> This draft has been implemented by vendors, so we have a working code and I believe we also have rough consensus.
>
> Thanks
> Shahram
>
>
>
> ----- Original Message -----
> From: Stewart Bryant [mailto:[email-masked]<mailto:[email-masked]>]
> Sent: Thursday, November 24, 2011 07:58 AM
> To: [email-masked]<mailto:[email-masked]><[email-masked]<mailto:[email-masked]>>
> Cc: [email-masked]<mailto:[email-masked]><[email-masked]<mailto:[email-masked]>>;
> [email-masked]<mailto:[email-masked]><[email-masked]<mailto:[email-masked]>>
> Subject: Re: [TICTOC] FW: I-D Action:
> draft-ietf-tictoc-1588overmpls-02.txt
>
> Can we wind back to my original points here which have not addressed.
>
> Why are is the WG proposing a design that needs such complex parsing,
> against the ethos of MPLS, when a simpler design would be more
> universally applicable?
>
> Does the WG have any input to suggest that the design will survive a
> review by MPLS/PWE3 WG and then by IESG?
>
> - Stewart
>
>
> On 22/11/2011 09:12, Stewart Bryant wrote:
>> Speaking as an individual here, I really have a hard time
>> understanding why it is necessary to have quite the egregious layer
>> violation that this draft uses.
>>
>> The idea of having an LSP type that is dedicated to tracking the time
>> of passage through the network is a good idea. However MPLS is
>> completely geared to the concept that only the LSP endpoints know how
>> to resolve the payload type.
>>
>> The function that you require could be achieved by including a shim
>> that contains the time compensation information and adjust the
>> payload on egress from the LSP. That would be rather more consistent
>> with the MPLS architecture.
>>
>> I have not seen a request for review by the MPLS or PWE3 WGs and I
>> would suggest that you request that sooner rather than later since it
>> is inevitable that the draft will be sent there later in it's life,
>> and if they do not subscribe to your mode of operation the draft is
>> unlikely to progress.
>>
>> I would also suggest that you discuss the extent of layer violation
>> with your AD to make sure he is confident that this draft will pass
>> IESG review.
>>
>> - Stewart
>>
>>
>> _______________________________________________
>> TICTOC mailing list
>> [email-masked]<mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/tictoc
>>
>

--
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

_______________________________________________
TICTOC mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/tictoc
_______________________________________________
TICTOC mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/tictoc